#!/bin/bash

if [ -z "$1" ]; then
	XVPERF="./xvperf"
else
	XVPERF=$1
fi

if [ ! -x $XVPERF ]; then
	echo "xvperf not found"
	exit 1
fi

rm -f *.out

/sbin/lspci -vvvxx > lspci.out
cat /proc/cpuinfo > cpuinfo.out
cat /proc/mtrr > mtrr.out
cat /proc/iomem > iomem.out
rpm -qa xorg-x11\* > rpm.out
uname -a > uname.out
cp /etc/X11/xorg.conf xorg.conf.out
cp /var/log/Xorg.0.log xorg.log.out
$XVPERF -i 2000 > xvperf.out
